Bug 18176 - NeoMagic256 extremely slow
NeoMagic256 extremely slow
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: 24073 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-10-03 00:18 EDT by rcarpen
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-31 21:31:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description rcarpen 2000-10-03 00:18:02 EDT
After previous versions of Red Hat and Mandrake running mostly flawlessly, 
I am having some trouble with RH 7.0's XFree86.  I have a Sony Vaio
Notebook with a NeoMagic 256 chipset.  It is incredibly slow.  When moving
windows around, it feels like a 386.  The machine is a P-II 366 with 192MB
of ram, and as I stated before ran quite nicely with earlier versions.

Comment 1 Bill Nottingham 2000-10-03 09:57:56 EDT
If you switch to the XFree86-3 server
(Xconfigurator --preferxf3), does it improve?
Comment 2 Trond Eivind Glomsrxd 2000-10-04 14:20:31 EDT
Only the 16 bpp mode is accelerated (at least, that used to be the case). Do you
run 8 or 24/32 bpp?
Comment 3 rcarpen 2000-10-04 15:07:06 EDT
8bit is faster, but 16bit used to be even faster than 8bit is now.

"Xconfigurator --preferxf3" Does not work.:

Config Error: /usr/X11R6/lib/X11/XF86Config:203

Section "Device"
Monitor section keyword expected

Fatal server error:
Child error writing to pipe (Broken pipe)
Comment 4 rcarpen 2000-10-04 15:08:55 EDT
Sorry... the previous output was from 'startx' after choosing the skip the test
in Xconfigurator.  Choosing to test from Xconfiguration yields an error, but
does not say what it is.

Comment 5 Need Real Name 2000-12-01 11:10:41 EST
I have the same problem as Randy. Same setup: Sony Vaio Z505SX, 128 MB RAM, and
the NeoMagic 256 AV chipset in it.

I've tried the same solutions, and got exactly the same results. Xconfigurator
sends an error just saying that either you have to modify the settings for the X
config or exit.

I installed the XFree86_SVGA server that comes with 7.0 to test with it, however
it didn't work. I had a similar problem with a desktop computer, same release of
the Red Hat Linux, and the only workaround I found was to create the file with
Xconfigurator that shipped with Red Hat Linux 6.2, and use that file with the
new server... I'm pretty sure if I reinstall the old version, get the file
created by it, and reinstall the new one, it will work, as it happened with the
desktop computer. (running the 3.3.6 of XFree86)

You can see the difference between the two by running
/usr/X11R6/lib/xscreensaver/greynetic screensaver. On the 3.3.6 is really fast,
using the 256AV chipset. On the 4.0.1-1 version is really slow. It is just as
slow as the mentioned desktop computer (which is an old 166 MHz MMX Pentium with
128 MB of RAM and a PCI Trident GUI 9680 card).

Any ideas on this one?
Comment 6 Mike A. Harris 2001-08-28 10:41:10 EDT
*** Bug 24073 has been marked as a duplicate of this bug. ***
Comment 7 Mike A. Harris 2001-10-31 21:31:53 EST
Please upgrade to Red Hat Linux 7.2, and try the latest XFree86 release.
Try configuring with Xconfigurator --preferxf4.

If the problem persists, try using:  Option "NoAccel" in your

If that solves the problem, we can pinpoint the exact primitive, by
removing the above NoAccel option, and instead trying the various
XAANo******** directives.  All of these options are documented on
the XF86Config man page if you need details on how to do this.

If you can then provide an update to the bug report indicating which
disabled primitive(s) fix the problem, we can try to debug this

Comment 8 Mike A. Harris 2002-01-25 05:37:20 EST
Please reopen bug after attaching the previously requested information
if this problem persists.  Before doing so, make sure you are running
the latest Red Hat Linux updates from our ftp site or via up2date.

Note You need to log in before you can comment on or make changes to this bug.